%define oname	cssutils

Name:		python-%{oname}
Version:	1.0.1
Release:	%mkrel 1
Summary:	Python module for parsing and building CSS 
Group:		Development/Python
License:	LGPLv3+
URL:		http://cthedot.de/cssutils/
Source0:	https://pypi.python.org/packages/source/c/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:	noarch 
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
  
%description 
cssutils is a Python module for building and parsing CSS (Cascading
Style Sheets).

%package -n python3-%{oname}
Summary:	Python 3 module for parsing and building CSS
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

%description -n python3-%{oname}
cssutils is a Python 3 module for building and parsing CSS (Cascading
Style Sheets).
 
%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1
cp -a . %{py3dir} 

%build 
%py2_build

pushd %{py3dir} 
%py3_build
popd

%install 
pushd %{py3dir} 
%py3_install
%{__mv}  %{buildroot}/%{_bindir}/csscapture %{buildroot}/%{_bindir}/csscapture-py3
%{__mv}  %{buildroot}/%{_bindir}/csscombine %{buildroot}/%{_bindir}/csscombine-py3
%{__mv}  %{buildroot}/%{_bindir}/cssparse %{buildroot}/%{_bindir}/cssparse-py3

popd

%py2_install


# Don't ship tests. TODO: run tests in check section. 
%{__rm} -rf %{buildroot}/%{python_sitelib}/tests
%{__rm} -rf %{buildroot}/%{python3_sitelib}/tests

%files  
%{_bindir}/csscapture
%{_bindir}/csscombine
%{_bindir}/cssparse
%{python2_sitelib}/%{oname}
%{python2_sitelib}/encutils
%{python2_sitelib}/%{oname}-*.egg-info/

%files -n python3-%{oname}  
%{_bindir}/csscapture-py3
%{_bindir}/csscombine-py3
%{_bindir}/cssparse-py3
%{python3_sitelib}/%{oname}
%{python3_sitelib}/encutils
%{python3_sitelib}/%{oname}-*.egg-info/



%changelog
* Sat Feb 13 2016 philippem <philippem> 1.0.1-1.mga6
+ Revision: 959779
- update to 1.0.1

* Thu Oct 08 2015 tv <tv> 0.9.10-8.mga6
+ Revision: 887536
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.9.10-7.mga5
+ Revision: 749274
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.10-6.mga5
+ Revision: 728211
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.10-5.mga5
+ Revision: 687952
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.9.10-4.mga5
+ Revision: 628536
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.10-3.mga4
+ Revision: 543233
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.10-2.mga4
+ Revision: 498327
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 0.9.10-1.mga4
+ Revision: 474089
- summary-ended-with-dot
- update to 0.9.10, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.9-2.mga3
+ Revision: 378621
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 14 2012 dams <dams> 0.9.9-1.mga2
+ Revision: 235677
- new version 0.9.9

* Sun Mar 06 2011 ennael <ennael> 0.9.7-0.b3.2.mga1
+ Revision: 65574
- imported package python-cssutils

